LIRC-LSPLUGINS(1)

NAME

lirc-lsplugins - Print dynamic modules info

SYNOPSIS

lirc-lsplugins [-l] [-q] [-U plugindir] [drivers]

lirc-lsplugins -e [-q] [-U plugindir]

lirc-lsplugins -y [-U plugindir]

DESCRIPTION
Tool which writes a simple list with info for each driver found. In particular, it writes info if a plugin can't be loaded e. g., due to unresolved references.

The drivers argument is an optional selector which limits the output to matching drivers. The match is a glob-type match as done by fnmatch()

OPTIONS

-U --plugindir <path>
    Use <path> to search for plugins. The path is a':'-separated search path similar to e. g., $PATH.

-q --quiet
    Don't write headers and trailing legend.

-s --summary
    Just write a summary over number of plugins, drivers and errors.

-e --errors
    Only list plugins which can't be loaded, or does not contain any drivers.

-y --yaml
    Make a YAML listing reflecting the drivers' configuration hints such as the device_hint. The format is unstable and primarely used by lirc-setup(1).

-l --long
    Add info on driver features.

-p --default-path
    Print default search path and exit.

-h --help
    Display usage summary.

-v --version
    Display version info.

EXAMPLES

    $ lirc-lsplugins -U ../lib/.libs:/usr/local/lib/lirc/plugins tira*

Lists all drivers with name matching 'tira*' found in plugins living in ../lib/.libs or /usr/local/lib/lirc/plugins.

RETURN VALUE
lirc-lsplugins returns a non-zero error code if there is at least one plugin from which no driver can be loaded or options and parameters can't be parsed. Otherwise it returns zero.

BUGS
Some drivers change their capabilities in runtime after inspecting the underlying hardware. These runtime capabilities can not be listed by lirc-lsplugins.

SEE ALSO
fnmatch(3)
lircd(8)